- name: Common Server
  hosts:
    - vms
    - proxmox
  roles:
    - common

- name: Setup postgres
  hosts:
    - brevgress
  roles:
    - postgres

- name: Setup grafana
  hosts:
    - grafana
  roles:
    - grafana

- name: Docker on vms
  hosts:
    - vms
  roles:
    - docker

- name: Setup Internal Docker Services
  hosts:
    - havneboks
  roles:
    - uptime_kuma
    - kitchenowl

- name: Setup FTB server
  hosts:
    - matmonster
  roles:
    - enigmatica2

- name: Setup umami
  hosts:
    - umami
  roles:
    - umami

- name: Setup polsevev.dev + jellyfin proxy
  hosts:
    - polsevev
  roles:
    - polsevev.dev

- name: Setup headscale nginx
  hosts:
    - olympus_entry
  roles:
    - olympus_entry
    - headscale

- name: Setup forgejo
  hosts:
    - forgejo
  roles:
    - forgejo

- name: Setup Forgejo actions
  hosts:
    - byggmester
  roles:
    - byggmester

- name: Setup filesharing
  hosts:
    - arkivet
  roles:
    - arkivet
